Loading...
Searching...
No Matches
Magick::PathMovetoAbs Class Reference
Inheritance diagram for Magick::PathMovetoAbs:

## Public Member Functions

| PathMovetoAbs (const Magick::Coordinate &coordinate_)
| PathMovetoAbs (const CoordinateList &coordinates_)
| PathMovetoAbs (const PathMovetoAbs &original_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const

## Private Attributes

CoordinateList | _coordinates

## Detailed Description

Definition at line 3089 of file Drawable.h.

## Constructor & Destructor Documentation

## PathMovetoAbs() [1/3]

Magick::PathMovetoAbs::PathMovetoAbs | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2439 of file Drawable.cpp.

: _coordinates(1,coordinate_)
{
}

## PathMovetoAbs() [2/3]

Magick::PathMovetoAbs::PathMovetoAbs | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2443 of file Drawable.cpp.

: _coordinates(coordinates_)
{
}

## PathMovetoAbs() [3/3]

Magick::PathMovetoAbs::PathMovetoAbs | ( | const PathMovetoAbs & | original_ | ) |

Definition at line 2447 of file Drawable.cpp.

: VPathBase (original_),
_coordinates(original_._coordinates)
{
}

## ~PathMovetoAbs()

Magick::PathMovetoAbs::~PathMovetoAbs | ( | void |  | ) |

Definition at line 2452 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathMovetoAbs::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2463 of file Drawable.cpp.

{
return new PathMovetoAbs(*this);
}

## operator()()

void Magick::PathMovetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2455 of file Drawable.cpp.

{
for( CoordinateList::const_iterator p = _coordinates.begin();
p != _coordinates.end(); p++ )
{
DrawPathMoveToAbsolute( context_, p->x(), p->y() );
}
}

## Field Documentation

## _coordinates

CoordinateList Magick::PathMovetoAbs::_coordinates

private

Definition at line 3111 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp